OCF_HEARTBEAT_ORAASM(7)

NAME
ocf_heartbeat_oraasm - Oracle ASM resource agent

SYNOPSIS

oraasm [start | stop | status | monitor | meta-data | validate-all]

DESCRIPTION

OCF Resource script for Oracle ASM. It uses the ohasd init-script to manage a Oracle ASM Disk Group as a HA resource.

SUPPORTED PARAMETERS

user
    Oracle Grid user

    (optional, string, default "grid")

diskgroup
    The name of the Oracle Disk Group. If not specified, then the Disk Group along with its home should be listed in /etc/oratab.

    (required, string, no default)

home
    The Oracle Grid home directory

    (optional, string, no default)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 60s.

stop
    Stops the resource. Suggested minimum timeout: 60s.

status
    Performs a status check. Suggested minimum timeout: 30s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 30s. Suggested interval: 10s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 5s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a oraasm resource using the crm(8) shell:

    primitive p_oraasm ocf:heartbeat:oraasm \
      params \
        diskgroup=string \
      op monitor depth="0" timeout="30s" interval="10s"

EXAMPLE PCS

The following is an example configuration for a oraasm resource using pcs(8)

    pcs resource create p_oraasm ocf:heartbeat:oraasm \
      diskgroup=string \
      op monitor depth="0" timeout="30s" interval="10s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)